### Function

# Camel utf8_getc

#### Declaration [src]

    guint32
    camel_utf8_getc (
      const guchar** ptr
    )

#### Description [src]

Get a Unicode character from a UTF-8 stream. `ptr` will be advanced to the next character position. Invalid utf8 characters will be silently skipped. The `ptr` should point to a NUL terminated array.

#### Parameters

`ptr`

  Type: `const guchar**`

  A pointer to read the character from.

  The argument will be modified by the function.
  The caller of the function takes ownership of the returned data, and is responsible for freeing it.

#### Return value

Type: `guint32`

The next Unicode character. The `ptr` will be advanced to the next character always.